Subject: log --pretty accepts incomplete pre-defined formats

From: Sidhant Sharma <[email-masked]>
Date: Wed, 6 Apr 2016 11:43:57 +0530

Hi,

Recently while playing around with git log, I realized that it is possible to
pass incomplete (pre-defined) format names. For example, it is possible to use
`git log --pretty=one` instead of oneline and it would still output the logs in
oneline formatting. Same goes for other formats such as 'raw', 'short' and others.
I looked at the code and it seems that it is intentionally kept so. It this so?
I'm curious to know the reason behind keeping this so.

Thanks and regards,
Sidhant Sharma